Subject: Re: [bug#34795] LXQT update to version 0.14.1

From: "Reza Alizadeh Majd" <[email-masked]>
Date: Sat, 16 Mar 2019 04:14:34 -0400

Thanks for your response,

OK, sure, first I need to change our internal commit message formats 
to gnu style. later I will submit our LXQt patches again. 

On Fri, Mar 15, 2019, at 8:49 PM, Leo Famulari wrote:
> On Sat, Mar 09, 2019 at 06:29:23PM +0330, Reza Alizadeh Majd wrote:
> > diff --git a/gnu/packages/lxde.scm b/gnu/packages/lxde.scm
> > index a5720ce97..f6bfcfa64 100644
> > --- a/gnu/packages/lxde.scm
> > +++ b/gnu/packages/lxde.scm
> > @@ -190,7 +190,7 @@ performance, all instances of the terminal are sharing a single process.")
> >  (define-public menu-cache
> >    (package
> >      (name "menu-cache")
> > -    (version "1.0.2")
> > +    (version "1.1.0")
> 
> Thank you for this patch!
> 
> I request two changes:
> 
> First, can you split up the patch into several patches? In general, each
> package should be updated in its own patch, unless this will cause the
> other packages to break.
> 
> Second, can you write a complete commit message? For the first package
> update, for example, you'd write it this way:
> 
> ------
> gnu: menu-cache: Update to 1.1.0.
> 
> * gnu/packages/lxde.scm (menu-cache): Update to 1.1.0.
> ------
> 
> If there are other changes, they should be described as well.
> 
> I recommend looking at our Git history for examples, or asking here on
> or IRC if you need help. Can you send an updated patch series?
> 
> By the way, this style of commit logs is called the 'GNU Change Log'
> style and is documented here:
> 
> https://www.gnu.org/prep/standards/html_node/Change-Logs.html
> 
> But looking at `git log` is probably the clearest way to learn it.
> 
> Attachments:
> * signature.asc